<mat-card>
    <form [formGroup]="formFilter" (ngSubmit)="onSubmitFilter()" #form="ngForm">
        <mat-form-field appearance="outline">
            <mat-label>Nome</mat-label>
            <input matInput placeholder="Digite o nome do filme" formControlName="name">
        </mat-form-field>
    
        <mat-form-field appearance="outline">
            <mat-label>Ano</mat-label>
            <input matInput placeholder="Digite o ano do filme" formControlName="year">
        </mat-form-field>
    
        <button mat-mini-fab color="primary" type="submit" [disabled]="!formFilter.valid">
            <mat-icon>search</mat-icon>
        </button>

        <button mat-mini-fab color="primary" (click)="resetForm(form)" [disabled]="formsIsEmpty">
            <mat-icon>delete</mat-icon>
        </button>
    </form>
</mat-card>